#pragma once

#include <xtl.h>
#include <winbase.h>

#define XFONT_TRUETYPE
#include <xfont.h>

#define FONT_BMP 0
#define FONT_TTF 1

class CText
{
	//Create some DirectX text buffers
	IDirect3DDevice8* m_pd3dDevice;
	XFONT* m_pBitmapFont;
	LPDIRECT3DSURFACE8 g_pFrontBuffer;
public:
	void Create(IDirect3DDevice8** pDevice, LPCWSTR fontPath, int type);  // either 1 for bitmap font, or 2 for true type font
	void DisplayText(WCHAR string[200], float xpos, float ypos, int r, int g, int b);   //r,g,b only for bitmap font, else, set to any values
	void SetHeight(int size); //only for bitmap font ... maybe ttf, I forget...
	void Release();
};